nxt.blockchain

## Class FxtChain

- java.lang.Object
- - nxt.blockchain.Chain
  - - nxt.blockchain.FxtChain

-     public final class FxtChain
      extends Chain

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FxtChain` | `FXT`
    `static java.lang.String` | `FXT_NAME`

    - ### Fields inherited from class nxt.blockchain.Chain

      `ONE_COIN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDbSchema()`
    `java.util.Set<TransactionType>` | `getDisabledTransactionTypes()`
    `static void` | `init()`
    `boolean` | `isAllowed(TransactionType transactionType)`
    `FxtTransactionImpl.BuilderImpl` | `newTransactionBuilder(byte[] senderPublicKey, long amount, long fee, short deadline, Attachment attachment)`

    - ### Methods inherited from class nxt.blockchain.Chain

      `getBalanceHome, getChain, getChain, getDecimals, getDisabledAPIs, getDisabledAPITags, getId, getName, getPrunableMessageHome, getSchemaTable, getTotalAmount, getTransactionHome, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FXT_NAME

          public static final java.lang.String FXT_NAME

      See Also:
        Constant Field Values

    - #### FXT

          public static final FxtChain FXT

  - ### Method Detail

    - #### init

          public static void init()

    - #### getDbSchema

          public java.lang.String getDbSchema()

      Overrides:
        `getDbSchema` in class `Chain`

    - #### isAllowed

          public boolean isAllowed(TransactionType transactionType)

      Specified by:
        `isAllowed` in class `Chain`

    - #### getDisabledTransactionTypes

          public java.util.Set<TransactionType> getDisabledTransactionTypes()

      Specified by:
        `getDisabledTransactionTypes` in class `Chain`

    - #### newTransactionBuilder

          public FxtTransactionImpl.BuilderImpl newTransactionBuilder(byte[] senderPublicKey,
                                                                      long amount,
                                                                      long fee,
                                                                      short deadline,
                                                                      Attachment attachment)

      Specified by:
        `newTransactionBuilder` in class `Chain`